> This page is for Enterprise.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://citi-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://citi-demo.ferndocs.com/_mcp/server.

# Update Account/Instruction Currency Values

PUT https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/{payerid-number}/accounts
Content-Type: application/json

This endpoint can update accounts and currency details of a particular Payer ID.

Reference: https://citi-demo.ferndocs.com/enterprises/api-reference/payment-acceptance/payer-id-management-services/payer-id/payer-id-update-account

## Authentication

- `Authorization` header (bearer token, required) — All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

## Servers

- `https://tts.sit.apib2b.citi.com/citiconnect/sit5` (dev gateway url, default)
- `https://tts.apib2b.citi.com/citiconnect/prod` (production gateway url)
- `https://tts.sandbox.apib2b.citi.com/citiconnect/sb` (sandbox url)

## Request

### Path parameters

- `payerid-number` (string, required) — Unique identification number assigned to payers and beneficiaries for incoming payments.

### Query parameters

- `client_id` (string, required) — This is your unique identifier shared during your CitiConnect API onboarding. This is the same `client_id` used for OAuth token generation.

### Headers

- `Authorization` (string, required) — The OAuth token prefixed with "Bearer" and space in between.

### Body (application/json)

This endpoint expects a PayerIdUpdateAccountsRequest.

- `country_code` (string, required) — The ISO country code specifying which country the account is held with. For example, if we receive a request for Germany, then the county code is DE. For France, it is FR. The list of allowed country codes are: `DE` - Germany `FR` - France `GB` - Great Britain `IE` - Ireland`NL` - Netherlands`US` - United States`CA` - Canada `HK` - Hong Kong `SG` - Singapore`AU` - Australia
- `accounts` (list of PayerIdAccount, required) — Identification of account parameter under which client account, branch code, or instruction currency to be displayed. Instruction currency cannot be same for different client account numbers in a single request.

## Response

### 202

Accepted

- `status_code` (string, required) — Status of the request sent as synchronous response to client. Status code will have value as `PIPND`.
- `status_description` (string, required) — Incoming request acknowledgement message, an example is, `Payer ID Maintenance request is in-progress.`
- `request_id` (string, required) — Auto-generated unique identification assigned to the incoming request.

## Errors

### 400 Bad Request Error

Bad Request

- `ref_id` (string, optional) — Unique identifier which can be used to track your request.
- `error_details` (list of PayerIdErrorDetail, optional)

### 401 Unauthorized Error

Unauthorized

- `ref_id` (string, optional) — Unique identifier which can be used to track your request.
- `error_details` (list of PayerIdErrorDetail, optional)

### 405 Method Not Allowed Error

Method Not Allowed

- `ref_id` (string, optional) — Unique identifier which can be used to track your request.
- `error_details` (list of PayerIdErrorDetail, optional)

### 415 Unsupported Media Type Error

Unsupported Media Type

- `ref_id` (string, optional) — Unique identifier which can be used to track your request.
- `error_details` (list of PayerIdErrorDetail, optional)

### 500 Internal Server Error

Internal Server Error

- `ref_id` (string, optional) — Unique identifier which can be used to track your request.
- `error_details` (list of PayerIdErrorDetail, optional)

## Types

### PayerIdAccount

- `client_account` (string, required) — The client's account.
- `branch_code` (string, required) — Citi's Internal branch code.
- `instruction_currencies` (list of string, required) — The 3-character ISO currency code. It is a payment currency, for example, 'EUR' or 'GBP'.

### PayerIdErrorDetail

- `issue` (string, optional) — More information about the issue.
- `action` (string, optional) — The corrective action to be taken to resolve the issue.
- `code` (string, optional) — Error category that provides more details on error types.

## Examples

### OKResponseExampleForActivation

**Response**

```json
{
  "status_code": "PIPND",
  "status_description": "PayerID maintenance request is In progress.",
  "request_id": "9801bac6a4c74662ae78136bd4eba422"
}
```

**SDK Code**

```python OKResponseExampleForActivation
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts"

querystring = {"client_id":"898918181818181aczta"}

headers = {"Authorization": "Bearer <token>"}

response = requests.put(url, headers=headers, params=querystring)

print(response.json())
```

```javascript OKResponseExampleForActivation
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts?client_id=898918181818181aczta';
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go OKResponseExampleForActivation
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts?client_id=898918181818181aczta"

	req, _ := http.NewRequest("PUT", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby OKResponseExampleForActivation
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts?client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java OKResponseExampleForActivation
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts?client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php OKResponseExampleForActivation
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts?client_id=898918181818181aczta', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp OKResponseExampleForActivation
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts?client_id=898918181818181aczta");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift OKResponseExampleForActivation
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts?client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### OKResponseExampleForDeactivation

**Response**

```json
{
  "status_code": "PIPND",
  "status_description": "Payer ID maintenance request is in progress.",
  "request_id": "9801bac6a4c74662ae78136bd4eba422"
}
```

**SDK Code**

```python OKResponseExampleForDeactivation
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts"

querystring = {"client_id":"898918181818181aczta"}

headers = {"Authorization": "Bearer <token>"}

response = requests.put(url, headers=headers, params=querystring)

print(response.json())
```

```javascript OKResponseExampleForDeactivation
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts?client_id=898918181818181aczta';
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go OKResponseExampleForDeactivation
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts?client_id=898918181818181aczta"

	req, _ := http.NewRequest("PUT", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby OKResponseExampleForDeactivation
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts?client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java OKResponseExampleForDeactivation
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts?client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php OKResponseExampleForDeactivation
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts?client_id=898918181818181aczta', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp OKResponseExampleForDeactivation
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts?client_id=898918181818181aczta");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift OKResponseExampleForDeactivation
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts?client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### PayerIDUpdateAccountRequestExample

**Request**

```json
{
  "country_code": "HK",
  "accounts": [
    {
      "client_account": "10953312",
      "branch_code": "600",
      "instruction_currencies": [
        "GBP",
        "INR"
      ]
    },
    {
      "client_account": "10823200",
      "branch_code": "600",
      "instruction_currencies": [
        "ANY"
      ]
    }
  ]
}
```

**Response**

```json
{
  "status_code": "PIPND",
  "status_description": "PayerID maintenance request is In progress.",
  "request_id": "9801bac6a4c74662ae78136bd4eba422"
}
```

**SDK Code**

```python PayerIDUpdateAccountRequestExample
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts"

querystring = {"client_id":"898918181818181aczta"}

payload = {
    "country_code": "HK",
    "accounts": [
        {
            "client_account": "10953312",
            "branch_code": "600",
            "instruction_currencies": ["GBP", "INR"]
        },
        {
            "client_account": "10823200",
            "branch_code": "600",
            "instruction_currencies": ["ANY"]
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript PayerIDUpdateAccountRequestExample
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts?client_id=898918181818181aczta';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"country_code":"HK","accounts":[{"client_account":"10953312","branch_code":"600","instruction_currencies":["GBP","INR"]},{"client_account":"10823200","branch_code":"600","instruction_currencies":["ANY"]}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go PayerIDUpdateAccountRequestExample
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts?client_id=898918181818181aczta"

	payload := strings.NewReader("{\n  \"country_code\": \"HK\",\n  \"accounts\": [\n    {\n      \"client_account\": \"10953312\",\n      \"branch_code\": \"600\",\n      \"instruction_currencies\": [\n        \"GBP\",\n        \"INR\"\n      ]\n    },\n    {\n      \"client_account\": \"10823200\",\n      \"branch_code\": \"600\",\n      \"instruction_currencies\": [\n        \"ANY\"\n      ]\n    }\n  ]\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby PayerIDUpdateAccountRequestExample
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts?client_id=898918181818181aczta")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"country_code\": \"HK\",\n  \"accounts\": [\n    {\n      \"client_account\": \"10953312\",\n      \"branch_code\": \"600\",\n      \"instruction_currencies\": [\n        \"GBP\",\n        \"INR\"\n      ]\n    },\n    {\n      \"client_account\": \"10823200\",\n      \"branch_code\": \"600\",\n      \"instruction_currencies\": [\n        \"ANY\"\n      ]\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java PayerIDUpdateAccountRequestExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts?client_id=898918181818181aczta")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"country_code\": \"HK\",\n  \"accounts\": [\n    {\n      \"client_account\": \"10953312\",\n      \"branch_code\": \"600\",\n      \"instruction_currencies\": [\n        \"GBP\",\n        \"INR\"\n      ]\n    },\n    {\n      \"client_account\": \"10823200\",\n      \"branch_code\": \"600\",\n      \"instruction_currencies\": [\n        \"ANY\"\n      ]\n    }\n  ]\n}")
  .asString();
```

```php PayerIDUpdateAccountRequestExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts?client_id=898918181818181aczta', [
  'body' => '{
  "country_code": "HK",
  "accounts": [
    {
      "client_account": "10953312",
      "branch_code": "600",
      "instruction_currencies": [
        "GBP",
        "INR"
      ]
    },
    {
      "client_account": "10823200",
      "branch_code": "600",
      "instruction_currencies": [
        "ANY"
      ]
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp PayerIDUpdateAccountRequestExample
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts?client_id=898918181818181aczta");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"country_code\": \"HK\",\n  \"accounts\": [\n    {\n      \"client_account\": \"10953312\",\n      \"branch_code\": \"600\",\n      \"instruction_currencies\": [\n        \"GBP\",\n        \"INR\"\n      ]\n    },\n    {\n      \"client_account\": \"10823200\",\n      \"branch_code\": \"600\",\n      \"instruction_currencies\": [\n        \"ANY\"\n      ]\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift PayerIDUpdateAccountRequestExample
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "country_code": "HK",
  "accounts": [
    [
      "client_account": "10953312",
      "branch_code": "600",
      "instruction_currencies": ["GBP", "INR"]
    ],
    [
      "client_account": "10823200",
      "branch_code": "600",
      "instruction_currencies": ["ANY"]
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/receivablesservices/v1/payerids/payerid-number/accounts?client_id=898918181818181aczta")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```